#!/bin/bash
set -e # 如果构建失败，则退出，不能删除旧的包

if [ "$#" -ne 1 ] ; then
  echo "Usage: $0 BUILD_ENV" >&2
  exit 1
fi

pwd

echo “build env: $1”

pwd
rm -rf yarn.lock
yarn install  --ignore-engines

echo "开始打包"
npm run build:$1

mkdir -p ~/project/examcloud/static-new/admin/temp
cp -r  dist ~/project/examcloud/static-new/admin/temp

cd ~/project/examcloud/static-new/admin
if [ -d "dist" ]; then
  currentTime=`date "+%Y%m%d%H%M%S"`
  echo "dist backup... $currentTime"
  tar cf admin-bak-$currentTime.tar.gz dist
  rm -rf dist/*
fi

mv temp/dist .
rm -rf temp
echo "ok..."